From 80dd43d3375148b3cd67f99b9df2fd8b64267f3e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Franz=20Brau=C3=9Fe?= <brausse@informatik.uni-trier.de>
Date: Sat, 27 Jul 2019 12:56:50 +0200
Subject: [PATCH] remove bundled version of protobuf-c and link to system lib

---
 src/CMakeLists.txt            |    6 +-
 src/protobuf-c/CMakeLists.txt |   25 -
 src/protobuf-c/protobuf-c.c   | 3490 ---------------------------------
 src/protobuf-c/protobuf-c.h   | 1097 -----------
 tests/CMakeLists.txt          |    2 +
 5 files changed, 6 insertions(+), 4614 deletions(-)
 delete mode 100644 src/protobuf-c/CMakeLists.txt
 delete mode 100644 src/protobuf-c/protobuf-c.c
 delete mode 100644 src/protobuf-c/protobuf-c.h

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index f57a92a1..97058b19 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -1,6 +1,9 @@
 if(BUILD_SHARED_LIBS AND NOT MSVC)
 	find_library(M_LIB m)
 endif()
+if(BUILD_SHARED_LIBS)
+	find_library(PBC_LIB protobuf-c)
+endif()
 
 include_directories(
 	.
@@ -54,19 +57,18 @@ set(omemo_SRCS
 )
 
 add_subdirectory(curve25519)
-add_subdirectory(protobuf-c)
 
 add_library(omemo-c
 	${protobuf_SRCS}
 	${omemo_SRCS}
 	$<TARGET_OBJECTS:curve25519>
-	$<TARGET_OBJECTS:protobuf-c>
 )
 
 if(BUILD_SHARED_LIBS)
 	if(NOT MSVC)
 		target_link_libraries(omemo-c ${M_LIB})
 	endif()
+	target_link_libraries(omemo-c ${PBC_LIB})
 	set_target_properties(omemo-c PROPERTIES
 		VERSION ${OMEMO_C_VERSION}
 		SOVERSION ${OMEMO_C_VERSION_MAJOR}
diff --git a/tests/CMakeLists.txt b/tests/CMakeLists.txt
index 69bd20f3..77a07a81 100644
--- a/tests/CMakeLists.txt
+++ b/tests/CMakeLists.txt
@@ -1,5 +1,6 @@
 enable_testing()
 find_library(M_LIB m)
+find_library(PBC_LIB protobuf-c)
 find_package(Check 0.9.10 REQUIRED)
 IF(NOT(APPLE AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin"))
   find_package(OpenSSL 1.0 REQUIRED)
@@ -32,6 +33,7 @@ endif()
 
 set(LIBS ${LIBS}
 	${M_LIB}
+	${PBC_LIB}
 	${CHECK_LDFLAGS}
 	${OPENSSL_LIBRARIES}
 	${CMAKE_THREAD_LIBS_INIT}
